PulseAudio 16.1

Data Fields
pa_ext_stream_restore_info Struct Reference

Stores information about one entry in the stream database that is maintained by module-stream-restore. More...

`#include <ext-stream-restore.h>`

## Data Fields
const char * | name
| Identifier string of the stream. More...
pa_channel_map | channel_map
| The channel map for the volume field, if applicable. More...
pa_cvolume | volume
| The volume of the stream when it was seen last, if applicable and saved. More...
const char * | device
| The sink/source of the stream when it was last seen, if applicable and saved. More...
int | mute
| The boolean mute state of the stream when it was last seen, if applicable and saved. More...

## Detailed Description

Stores information about one entry in the stream database that is maintained by module-stream-restore.

Since
  0.9.12

## Field Documentation

## ◆ channel_map

pa_channel_map pa_ext_stream_restore_info::channel_map

The channel map for the volume field, if applicable.

## ◆ device

const char* pa_ext_stream_restore_info::device

The sink/source of the stream when it was last seen, if applicable and saved.

## ◆ mute

int pa_ext_stream_restore_info::mute

The boolean mute state of the stream when it was last seen, if applicable and saved.

## ◆ name

const char* pa_ext_stream_restore_info::name

Identifier string of the stream.

A string like "sink-input-by-role:" or similar followed by some arbitrary property value.

## ◆ volume

pa_cvolume pa_ext_stream_restore_info::volume

The volume of the stream when it was seen last, if applicable and saved.

The documentation for this struct was generated from the following file:

- ext-stream-restore.h